# web-performance-tracer [![npm](https://img.shields.io/npm/v/web-performance-tracer.svg)](https://npmjs.com/package/web-performance-tracer) [![jsdelivr](https://data.jsdelivr.com/v1/package/npm/web-performance-tracer/badge)](https://www.jsdelivr.com/package/npm/web-performance-tracer)

网页性能监控 18 项数据指标，浏览器信息，错误收集上报方案，前端工程化。

Web page performance monitoring 18 data indicators, about browser information, error collection, front end engineering.


## Usage

method 1:

> * `pnpm add -D web-performance-tracer` or `yarn add -D web-performance-tracer`
> * `import 'web-performance-tracer';`

method 2:

```html
<body>
  <!-- ... -->
  <script src="https://cdn.jsdelivr.net/npm/web-performance-tracer/dist/web-performance-tracer.min.js"></script>
</body>
```


### change options

```js
setTimeout(() => {
  window._logInstance["store-name"].updateOptions({ 
    host: 'cn-guangzhou.log.aliyuncs.com',      
    project: 'tracer-log',                 
    logstore: 'app',
    isUploadLog: true
  })
  console.log("log updeate config", window._logInstance["store-name"])
}, 2000)
```

### self upload

```js
window._logInstance["store-name"].send('', {
  customer: "user",
  product: "iphone 12",
  price: 7998,
})
```

### [inclued upload info](./docs/DESIGN.md)

### reference

> * https://github.com/fz6m/web-performance-monitor

### publish
```shell
commit: package.json version

pnpm pre-release

pnpm release

github: draft a new release
```
